%global packname  callr
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          3.3.1
Release:          1%{?dist}
Summary:          Call R from R

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-processx >= 3.4.0, R-R6, R-utils
# Suggests:  R-cliapp, R-covr, R-crayon, R-knitr, R-pingr, R-ps, R-rmarkdown, R-rprojroot, R-spelling, R-testthat, R-tibble, R-withr
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-processx >= 3.4.0
Requires:         R-R6
Requires:         R-utils
Suggests:         R-crayon
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-processx >= 3.4.0
BuildRequires:    R-R6
BuildRequires:    R-utils
%if %{fedora} >= 30
BuildRequires:    R-cliapp
%endif
BuildRequires:    R-crayon
BuildRequires:    R-knitr
BuildRequires:    R-pingr
BuildRequires:    R-ps
BuildRequires:    R-rmarkdown
BuildRequires:    R-rprojroot
BuildRequires:    R-spelling
BuildRequires:    R-testthat
BuildRequires:    R-tibble
BuildRequires:    R-withr

%description
It is sometimes useful to perform a computation in a separate R process,
without affecting the current R process at all. This packages does exactly
that.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{fedora} >= 30
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%doc %{rlibdir}/%{packname}/developer-notes.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%{rlibdir}/%{packname}/_pkgdown.yml
%{rlibdir}/%{packname}/client.R


%changelog
* Tue Jul 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.3.1-1
- Update to latest version

* Tue Jul 16 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.3.0-1
- Update to latest version

* Fri Mar 22 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.2.0-1
- Update to latest version

* Sun Feb 24 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.1.1-1
- Update to latest version

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 04 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.0.0-1
- Update to latest version

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 17 2018 Tom Callaway <spot@fedoraproject.org> - 2.0.4-1
- update to 2.0.4 (package now noarch)

* Thu Apr 26 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.3-1
- Update to latest version

* Thu Mar 22 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.2-2
- Remove extra Requires

* Wed Mar 21 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.2-1
- initial package for Fedora
